<?
include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';

$set['title']='Кто на сайте?!'; // заголовок страницы
include_once 'sys/inc/thead.php';
title();
aut();

$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `date_last` > '".(time()-5500)."'"), 0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
$q = mysql_query("SELECT * FROM `user` WHERE `date_last` > '".(time()-5500)."' ORDER BY `date_last` DESC LIMIT $start, $set[p_str]");
if ($k_post==0)
{
echo "Сейчас на сайте никого нет\n";
}
$nuf=1;
while ($ank = mysql_fetch_array($q))
{
if($num==1){
echo "<div class='rowup'>";
echo "".online($ank['id'])." \n";
echo "<a href='/info.php?id=$ank[id]'><span style=\"color:$ank[ncolor]\">$ank[nick]</span></a> \n";
echo "".adm($ank['id'])."\n";
echo "<br />\n";
if ($ank['pol']==1)
echo "<span class=\"ank_d\">(Муж)</span>\n"; else echo "<span class=\"ank_d\">(Жен)</span> \n";

if ($ank['ank_d_r']!=NULL && $ank['ank_m_r']!=NULL && $ank['ank_g_r']!=NULL){
$ank['ank_age']=date("Y")-$ank['ank_g_r'];
if (date("n")<$ank['ank_m_r'])$ank['ank_age']=$ank['ank_age']-1;
elseif (date("n")==$ank['ank_m_r']&& date("j")<$ank['ank_d_r'])$ank['ank_age']=$ank['ank_age']-1;
echo "<span class=\"ank_d\">$ank[ank_age] лет</span>\n";
}
if ($ank['ank_city']!=NULL)echo ", <span class=\"ank_d\">$ank[ank_city]</span><br />\n";
echo "</div>";
$num=0;
}else{ 
echo "<div class='rowdown'>\n";
echo "".online($ank['id'])." \n";
echo "<a href='/info.php?id=$ank[id]'><span style=\"color:$ank[ncolor]\">$ank[nick]</span></a> \n";
echo "".adm($ank['id'])."\n";
echo "<br />\n";
if ($ank['pol']==1)echo "<span class=\"ank_d\">(Муж)</span>\n"; else echo "<span class=\"ank_d\">(Жен)</span> \n";

if ($ank['ank_d_r']!=NULL && $ank['ank_m_r']!=NULL && $ank['ank_g_r']!=NULL){
$ank['ank_age']=date("Y")-$ank['ank_g_r'];
if (date("n")<$ank['ank_m_r'])$ank['ank_age']=$ank['ank_age']-1;
elseif (date("n")==$ank['ank_m_r']&& date("j")<$ank['ank_d_r'])$ank['ank_age']=$ank['ank_age']-1;
echo "<span class=\"ank_d\">$ank[ank_age] лет</span>\n";
}

if ($ank['ank_city']!=NULL)echo ", <span class=\"ank_d\">$ank[ank_city]</span><br />\n";
echo "</div>\n";
$num=1;}
}

if ($k_page>1)str("?",$k_page,$page); // Вывод страниц

include_once 'sys/inc/tfoot.php';
?>